package com.aucma.dms.domain;


import com.aucma.common.annotation.Excel;
import com.aucma.dms.domain.dto.AttachFileDTO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 保养知识库对象 dms_knowledge_maint
 *
 * @author Open Platform
 * @date 2024-02-26
 */
public class DmsKnowledgeMaint extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long knowledgeMaintId;

    /** 经验编号 */
    @Excel(name = "经验编号")
    private String experienceCode;

    /** 设备类型ID，关联dms_base_device_type的device_type_id */
    @Excel(name = "设备类型ID，关联dms_base_device_type的device_type_id")
    private Long deviceTypeId;

    /** 保养部位,关联dms_base_maint_station的maint_station_id */
    @Excel(name = "保养部位,关联dms_base_maint_station的maint_station_id")
    private Long maintStationId;

    /** 保养标准 */
    @Excel(name = "保养标准")
    private String maintProtocol;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationDescription;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    List<String> fileUrls;

    List<AttachFileDTO> systemFiles;

    public List<String> getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(List<String> fileUrls) {
        this.fileUrls = fileUrls;
    }

    public List<AttachFileDTO> getSystemFiles() {
        return systemFiles;
    }

    public void setSystemFiles(List<AttachFileDTO> systemFiles) {
        this.systemFiles = systemFiles;
    }

    public void setKnowledgeMaintId(Long knowledgeMaintId)
    {
        this.knowledgeMaintId = knowledgeMaintId;
    }

    public Long getKnowledgeMaintId()
    {
        return knowledgeMaintId;
    }
    public void setExperienceCode(String experienceCode)
    {
        this.experienceCode = experienceCode;
    }

    public String getExperienceCode()
    {
        return experienceCode;
    }
    public void setDeviceTypeId(Long deviceTypeId)
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId()
    {
        return deviceTypeId;
    }
    public void setMaintStationId(Long maintStationId)
    {
        this.maintStationId = maintStationId;
    }

    public Long getMaintStationId()
    {
        return maintStationId;
    }
    public void setMaintProtocol(String maintProtocol)
    {
        this.maintProtocol = maintProtocol;
    }

    public String getMaintProtocol()
    {
        return maintProtocol;
    }
    public void setOperationDescription(String operationDescription)
    {
        this.operationDescription = operationDescription;
    }

    public String getOperationDescription()
    {
        return operationDescription;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("knowledgeMaintId", getKnowledgeMaintId())
            .append("experienceCode", getExperienceCode())
            .append("deviceTypeId", getDeviceTypeId())
            .append("maintStationId", getMaintStationId())
            .append("maintProtocol", getMaintProtocol())
            .append("operationDescription", getOperationDescription())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
